Page MenuHomePhabricator

Link to new projectcounts data and serve via wikimetrics {Musk} [5 pts]
Closed, ResolvedPublic

Description

New data will start being pushed into the aggregator-data repository soon. To make this data easily available with CORS, we should link it here:

https://metrics.wmflabs.org/static/public/datafiles/DailyPageviews/

That link currently points to the "old" pageview data. So we should update this link to something like DailyPageviewsOld and use DailyPageviews to point to the new data. The relevant puppet line:

https://github.com/wikimedia/operations-puppet/blob/acacf97e2df962fef83487a461f3559fa07e4d6f/manifests/role/wikimetrics.pp#L330

Event Timeline

Milimetric raised the priority of this task from to Needs Triage.
Milimetric updated the task description. (Show Details)
Milimetric added a project: Analytics-Backlog.
Milimetric added a subscriber: Milimetric.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2015, 3:54 PM
ggellerman renamed this task from Link to new projectcounts data and serve via wikimetrics to Link to new projectcounts data and serve via wikimetrics {Musk}.Jun 26 2015, 4:03 PM
ggellerman triaged this task as Normal priority.
ggellerman set Security to None.
kevinator renamed this task from Link to new projectcounts data and serve via wikimetrics {Musk} to Link to new projectcounts data and serve via wikimetrics {Musk} [5 pts].Jun 29 2015, 5:39 PM

Change 221611 had a related patch set uploaded (by Joal):
Add Pageviews/LegacyPageviews to metrics website

https://gerrit.wikimedia.org/r/221611

Change 221611 merged by Ottomata:
Add Pageviews/LegacyPageviews to metrics website

https://gerrit.wikimedia.org/r/221611

JAllemandou moved this task from Ready to Deploy to Done on the Analytics-Kanban board.

Change 222134 had a related patch set uploaded (by Milimetric):
Let pageview api work with different metrics

https://gerrit.wikimedia.org/r/222134

Change 222134 merged by Milimetric:
Let pageview api work with different metrics

https://gerrit.wikimedia.org/r/222134

kevinator closed this task as Resolved.Jul 2 2015, 6:24 AM
kevinator added a subscriber: kevinator.